Update user role
Update user role
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
id | stringRequired | path |
Body #
Object representing a user's role update request
application/json| Property | Type | Description |
|---|---|---|
role | stringRequired | Role identifier to assign to the user |
Request #
curl -X PUT 'https://api.axiom.co/v2/users/ID/role' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"role":"admin"}'Try itRun this request against your Axiom organization
Credentials stay in this browser tab and are only sent to Axiom when you run the request.
Response #
200User| Property | Type | Description |
|---|---|---|
email | stringRequired | User's email address |
id | stringRequired | Unique identifier for the user |
name | stringRequired | User's full name |
role | objectRequired | Detailed information about a user's role |
id | stringRequired | Unique identifier for the role |
name | stringRequired | Human-readable name of the role |